Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.message.control
Class IncomingActionRequestMessage

    java.lang.Object
      org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
          org.fourthline.cling.model.message.StreamRequestMessage
              org.fourthline.cling.model.message.control.IncomingActionRequestMessage

All Implemented Interfaces:
  ActionMessage, ActionRequestMessage

    public class IncomingActionRequestMessage

extends StreamRequestMessage
implements ActionRequestMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Field Summary

Fields inherited from class org.fourthline.cling.model.message.StreamRequestMessage
`connection`

Constructor Summary
`IncomingActionRequestMessage(StreamRequestMessage source, LocalService service)`

Method Summary
`Action` | `getAction()`
`String` | `getActionNamespace()`

Methods inherited from class org.fourthline.cling.model.message.StreamRequestMessage
`getConnection, getUri, setConnection, setUri`

Methods inherited from class org.fourthline.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.fourthline.cling.model.message.control.ActionMessage
`getBodyString, isBodyNonEmptyString, setBody`

Constructor Detail

### IncomingActionRequestMessage

    public IncomingActionRequestMessage(StreamRequestMessage source,
                                        LocalService service)
                                 throws ActionException

Throws:
  `ActionException`

Method Detail

### getAction

    public Action getAction()

### getActionNamespace

    public String getActionNamespace()

  Specified by:
    `getActionNamespace` in interface `ActionMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.